View Issue Details

IDProjectCategoryView StatusLast Update
0000495luatexluatex bugpublic2010-12-13 14:43
ReporterTacoAssigned ToTaco 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.65.0 
Summary0000495: <box>.list.prev should be zeroed
DescriptionFrom Paul Isambert:
> In a previous mail you told me that prev fields were a bit messy for the
> moment. Is the following an instance of that current state?
>
> \setbox0=\hbox{a}
>
> \directlua{
> local item = tex.box[0].list
> texio.write_nl(item.id .. "/" .. item.prev.id)
> }
>
> \bye
>
> The head of the list has a prev node, and that's a ``temp'' node (id
> 50). Judging from the name, it's probably not supposed to be here?
TagsNo tags attached.

Activities

Hans Hagen

2010-10-22 09:12

manager   ~0000650

it can also be an attr list so probably they are leftovers from the box creation

Taco

2010-12-01 13:09

administrator   ~0000703

commit 4022

Issue History

Date Modified Username Field Change
2010-10-08 11:12 Taco New Issue
2010-10-22 09:12 Hans Hagen Note Added: 0000650
2010-11-29 17:15 Taco Status new => assigned
2010-11-29 17:15 Taco Assigned To => arthur
2010-11-29 17:15 Taco Assigned To arthur => Taco
2010-12-01 13:09 Taco Note Added: 0000703
2010-12-01 13:09 Taco Status assigned => resolved
2010-12-01 13:09 Taco Resolution open => fixed
2010-12-13 14:43 Taco Fixed in Version => 0.65.0
2010-12-13 14:43 Taco Status resolved => closed